# LeafLux

## About
LeafLux is a process based light dynamics model for forested environments. The goal 
of LeafLux is to provide relative irradiance information for a user provided
canopy and terrain at a finer resolution than is 
typically available. It is a Python package that aims to be easy to use and is
compatible with standard numpy data types.

## Links
[Documentation home](https://silvxlabs.github.io/leaflux-core/)

[PyPi package](https://pypi.org/project/leaflux/)

## Installation

Leaflux can be installed using pip:

`pip install leaflux`

## Quick start guide

Install LeafLux as shown above, then include it in your project like:

`import leaflux`

You can then follow a [how to guide](https://silvxlabs.github.io/leaflux-core/how-to-guides/) to learn how 
to use LeafLux to generate irradiance information. 

## Issues

If you encounter any issues, please submit an issue to this project's [issue page](https://github.com/silvxlabs/leaflux-core/issues).